Description

Currently we can specify task attachments by selecting files on local drive.

Frequently you don't have file locally but rather have an URL to it. It would be very convenient to have ability to attach files by URL
skipping their downloading to local drive.

Usual use case for QA:

1. make a screenshot using some utility like Gyazo, Awesome Screenshot, Joxi, etc.

2. modify it online (for instance adding arrows or other marks)

3. get the URL to the modified screenshot

After that we need to download the screenshot in order to add it as attachment. This step is very boring.

The same case occurs if you just got a link in some way. For example link to the file in Dropbox cloud or even some image on site. If
you need to attach these files you have to download them to local drive first. Then find them on the local drive and then upload to the
redmine.

What about Ul changes? | think we can add another button next to Choose files (see attachment)

Related issues:
Related to Redmine - Feature #2205: Allow 'upload' links as a File New 2008-11-17

History

#1 - 2017-07-13 18:30 - Nick Sneg

somebody please change the tracker. It's not a defect, but feature request.

#2 - 2017-07-14 01:40 - Mischa The Evil

- Tracker changed from Defect to Feature

#3 - 2017-11-23 07:25 - Go MAEDA
- Related to Feature #2205: Allow ‘upload' links as a File added
https://gyazo.com/
https://www.awesomescreenshot.com/
http://joxi.net/
http://www.tcpdf.org

